<?php
/**
 * Neiron Core
 * @author KpuTuK 
 * @link https://github.com/KpuTuK
 **/

/**
 * Обработчик событий
 **/
function event($name, $args) {
    // Если событие существует
    if (array_key_exists($name, $GLOBALS['_APP']['events'])) {
        // Перебирае все функции события
        foreach((array)$GLOBALS['_APP']['events'][$name] as $event) {
            // И вызываем их
            $event($args);
        }
    }
}
/**
 * Шаблонизатор
 **/
function template($tpl, $vars = array()) {
    // Стартуем буфер (можно кстати привязат функцию обрабоки контента типа антиспам и тп)
    ob_start();
    // Извлекаем ссылки на переменные
    extract($vars, EXTR_REFS);
    // Подключаем шаблон (можно добавить поиск шаблона в модуле что даст каждому модулю индивидуальный дизайн)
    include TPLPATH . $GLOBALS['_APP']['dir.tpl'] .'/'. $tpl .'.php';
    // Записываем вывод в переменную и очищаем буфер
    $GLOBALS['_APP']['output'] .= ob_get_clean(); 
}